#include "mppexterns.h"

BOOL PrefLoadFile(STRPTR FileName)
{
  LONG error;
  BOOL rv;
  
  ObtainSemaphore(&MPSem->NodeSem);
  rv=LoadFile(MPSem->PromotionList,FileName);
  FixScreenModeNames();
  ReleaseSemaphore(&MPSem->NodeSem);
  if(error=IoErr())
  {
    UBYTE errstr[91];

    Fault(error,MiscText[LOAD_ERROR],errstr,90);
    EZReq(Win,0,ModePro,errstr,MiscText[OK],0);
  }
  RefreshMenus();
  return(rv);
}    


BOOL PrefSaveFile(STRPTR FileName)
{
  LONG error;
  BOOL rv;
  
  ObtainSemaphore(&MPSem->NodeSem);
  rv=SaveFile(MPSem->PromotionList,FileName);
  ReleaseSemaphore(&MPSem->NodeSem);

  if(error=IoErr())
  {
    UBYTE errstr[91];

    Fault(error,MiscText[SAVE_ERROR],errstr,90);
    EZReq(Win,0,ModePro,errstr,MiscText[OK],0);
  }
  return(rv);
}    

